%define oname rdflib
%define version 4.0.1
%define release %mkrel 4

Summary:	Python library for working with RDF
Name:		python-%{oname}
Version:	%{version}
Release:	%{release}
Source0:	http://pypi.python.org/packages/source/r/%{oname}/%{oname}-%{version}.tar.gz
Patch0:		rdflib-4.0.1-mga-remove-hard-dep-pyparsing.patch
License:	BSD
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	python-setuptools
Requires:       python-isodate
URL:		http://code.google.com/p/rdflib/

%description
RDFLib is a Python library for working with RDF, a simple yet powerful
language for representing information.

The library contains parsers and serializers for RDF/XML, N3,
NTriples, Turtle, TriX and RDFa . The library presents a Graph
interface which can be backed by any one of a number of Store
implementations, including, Memory, MySQL, Redland, SQLite, Sleepycat
and SQLObject.

%package -n python3-%{oname}
Summary:	Python 3 library for working with RDF
Group: 		Development/Python
BuildRequires:	python3-setuptools
Requires:       python3-isodate

%description -n python3-%{oname}
RDFLib is a Python 3 library for working with RDF, a simple yet powerful
language for representing information.

The library contains parsers and serializers for RDF/XML, N3,
NTriples, Turtle, TriX and RDFa . The library presents a Graph
interface which can be backed by any one of a number of Store
implementations, including, Memory, MySQL, Redland, SQLite, Sleepycat
and SQLObject.  

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p0
find -name "*.pyc" -delete
rm -rf %{py3dir}
cp -a . %{py3dir}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

pushd %{py3dir}
CFLAGS="%{optflags}" %{__python3} setup.py build
popd

%install
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
%{__mv} %{buildroot}%{_bindir}/csv2rdf %{buildroot}%{_bindir}/csv2rdf_p3
%{__mv} %{buildroot}%{_bindir}/rdf2dot %{buildroot}%{_bindir}/rdf2dot_p3
%{__mv} %{buildroot}%{_bindir}/rdfgraphisomorpishm %{buildroot}%{_bindir}/rdfgraphisomorpishm_p3
%{__mv} %{buildroot}%{_bindir}/rdfpipe %{buildroot}%{_bindir}/rdfpipe_p3
%{__mv} %{buildroot}%{_bindir}/rdfs2dot %{buildroot}%{_bindir}/rdfs2dot_p3

%__rm -rf %{buildroot}%{python3_sitelib}/test
popd

%{__python} setup.py install --skip-build --root %{buildroot}
%__rm -rf %{buildroot}%{python_sitelib}/test

%clean
%__rm -rf %{buildroot}

%files
%doc LICENSE
%{_bindir}/csv2rdf
%{_bindir}/rdf2dot
%{_bindir}/rdfgraphisomorpishm
%{_bindir}/rdfpipe
%{_bindir}/rdfs2dot
%{python_sitelib}/*

%files -n python3-%{oname}
%doc LICENSE
%{_bindir}/csv2rdf_p3
%{_bindir}/rdf2dot_p3
%{_bindir}/rdfgraphisomorpishm_p3
%{_bindir}/rdfpipe_p3
%{_bindir}/rdfs2dot_p3
%{python3_sitelib}/*



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 4.0.1-4.mga4
+ Revision: 544156
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 4.0.1-3.mga4
+ Revision: 499283
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 07 2013 philippem <philippem> 4.0.1-2.mga4
+ Revision: 492448
- remove hard dep pyparsing

* Fri Aug 16 2013 philippem <philippem> 4.0.1-1.mga4
+ Revision: 466992
- update to 4.0.1, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 3.2.3-3.mga3
+ Revision: 379427
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 dmorgan <dmorgan> 3.2.3-2.mga3
+ Revision: 338902
- python-isodate is required by python-rdflib

* Sun Dec 23 2012 philippem <philippem> 3.2.3-1.mga3
+ Revision: 334279
- Update to 3.2.3

* Tue Sep 20 2011 lebedov <lebedov> 3.1.0-1.mga2
+ Revision: 146142
- Update to 3.1.0.

* Sat Mar 26 2011 dmorgan <dmorgan> 2.4.2-3.mga1
+ Revision: 77534
- imported package python-rdflib


* Mon Nov 01 2010 Götz Waschk <waschk@mandriva.org> 2.4.2-3mdv2011.0
+ Revision: 591518
- rebuild for python 2.7

  + Michael Scherer <misc@mandriva.org>
    - rebuild for python 2.7

* Thu Oct 07 2010 Götz Waschk <waschk@mandriva.org> 2.4.2-1mdv2011.0
+ Revision: 583931
- update to new version 2.4.2

* Fri Aug 06 2010 Götz Waschk <waschk@mandriva.org> 2.4.0-1mdv2011.0
+ Revision: 566625
- downgrade to 2.4.0
- update file list
- no more noarch

* Fri Aug 06 2010 Götz Waschk <waschk@mandriva.org> 3.0.0-1mdv2011.0
+ Revision: 566599
- import python-rdflib


